ForceFields::MMFF::MMFFDefCollection Class Reference

`#include <Params.h>`

## Public Member Functions

const MMFFDef * | operator() (const unsigned int atomType) const
| Looks up the parameters for a particular key and returns them. More...

## Static Public Member Functions

static MMFFDefCollection * | getMMFFDef (const std::string &mmffDef="")
| gets a pointer to the singleton MMFFDefCollection More...

## Detailed Description

Definition at line 192 of file MMFF/Params.h.

## Member Function Documentation

static MMFFDefCollection* ForceFields::MMFF::MMFFDefCollection::getMMFFDef | ( | const std::string & | mmffDef = `""` | ) |

static

gets a pointer to the singleton MMFFDefCollection

Parameters

  mmffDef | (optional) a string with parameter data. See below for more information about this argument

Returns
  a pointer to the singleton MMFFDefCollection

Notes:

- do not delete the pointer returned here
- if the singleton MMFFDefCollection has already been instantiated and `mmffDef` is empty, the singleton will be returned.
- if `mmffDef` is empty and the singleton MMFFDefCollection has not yet been instantiated, the default MMFFDef parameters (from Params.cpp) will be used.
- if `mmffDef` is supplied, a new singleton will be instantiated. The current instantiation (if there is one) will be deleted.

Referenced by ForceFields::MMFF::MMFFTorCollection::getMMFFTorParams(), ForceFields::MMFF::MMFFAngleCollection::operator()(), and ForceFields::MMFF::MMFFOopCollection::operator()().

const MMFFDef* ForceFields::MMFF::MMFFDefCollection::operator() | ( | const unsigned int | atomType | ) | const

inline

Looks up the parameters for a particular key and returns them.

Returns
  a pointer to the MMFFDef object, NULL on failure.

Definition at line 216 of file MMFF/Params.h.

The documentation for this class was generated from the following file:

- MMFF/Params.h